%define _jarsign_opts --nocopy
%if "%{?rhel}" == "6"
%bcond_without zip
%else
%bcond_with zip
%endif

%define reltag GA
%define namedversion %{name}-%{version}.%{reltag}

Name: mod_rt
Summary: mod_rt is an apache httpd module
Version: 2.4.1
Release: 6.GA%{?dist}
License: GPL

# svn export http://svn.devel.redhat.com/repos/jboss-jon/tags/JBossON_2_4_1_GA/etc/product_connectors/apache-rt/sources/apache2.x/ mod_rt
# tar czf mod_rt-2.4.1.GA.tgz mod_rt
Source0: %{namedversion}.tgz
Source1: mod_rt.conf

Group: Development/Libraries

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
%if "%{?rhel}" == "7"
# 64 bit only natives on RHEL7
ExcludeArch: i386 i686
%endif

BuildRequires: libtool

%if "%{?rhel}" == "7"
BuildRequires:	httpd22-devel
%else
BuildRequires: httpd-devel
%endif

BuildRequires: zip

# httpd22 on RHEL 7
%if "%{?rhel}" == "7"
Requires:   httpd22
%else
Requires:   httpd
%endif

%description
This module implements End-user response time for Apache 2.0.

%if %with zip
%package src-zip
Summary:     Container for the source distribution of mod_rt
Group:       Development

%description src-zip
Container for the source distribution of mod_rt.
%endif

%prep
%setup -q -n %{namedversion}

#Create src zip to include any patches
%if %with zip
zip -q -r %{name}-%{version}-src.zip *
%endif

%build
%if "%{?rhel}" == "7"
make APXS=`which apxs22`
%else
make APXS=`which apxs`
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if "%{?rhel}" == "7"
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd22/modules \
         $RPM_BUILD_ROOT%{_sysconfdir}/httpd22/conf.d
%else
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules \
         $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
%endif

%if "%{?rhel}" == "7"
`which libtool` --mode=install cp mod_rt.la $RPM_BUILD_ROOT%{_libdir}/httpd22/modules
%else
`which libtool` --mode=install cp mod_rt.la $RPM_BUILD_ROOT%{_libdir}/httpd/modules
%endif

%if "%{?rhel}" == "7"
chmod 755 $RPM_BUILD_ROOT%{_libdir}/httpd22/modules/mod_rt.so
rm $RPM_BUILD_ROOT%{_libdir}/httpd22/modules/mod_rt.a
rm $RPM_BUILD_ROOT%{_libdir}/httpd22/modules/mod_rt.la
%else
chmod 755 $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_rt.so
rm $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_rt.a
rm $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_rt.la
%endif


%if "%{?rhel}" == "7"
install -p -m 644 %{SOURCE1} \
        $RPM_BUILD_ROOT%{_sysconfdir}/httpd22/conf.d/mod_rt.conf.sample
%else
install -p -m 644 %{SOURCE1} \
        $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mod_rt.conf.sample
%endif

%if %with zip
mkdir -p $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev
cp %{name}-%{version}-src.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%if "%{?rhel}" == "7"
%config(noreplace) %{_sysconfdir}/httpd22/conf.d/mod_rt.conf.sample
%{_libdir}/httpd22/modules/*.so
%else
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_rt.conf.sample
%{_libdir}/httpd/modules/*.so
%endif

%if %with zip
%files src-zip
%defattr(-,root,root,-)
%{_javadir}/jbossas-fordev/*
%endif

%changelog
* Thu Jul 24 2014 Weinan Li <weli@redhat.com> - 0:2.4.1-6.GA
- rename config file to .sample

* Wed Jul 23 2014 Permaine Cheung <pcheung@redhat.com> - 0:2.4.1-5.GA
- Rebuild

* Thu Apr 03 2014 Weinan Li <weli@redhat.com> - 0:2.4.1-4.GA
- Migrate to support rhel7 build

* Tue Jun 19 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.4.1-3.GA
- Create src.zip at the end of prep

* Thu Apr 26 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.4.1-2.GA
- Fix Version and Release: tags

* Wed Apr 25 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.4.1.GA-2
- Add src-zip subpackage

* Thu Mar 22 2012 Weinan Li <weli@redhat.com> - 0:2.4.1.GA-1
- Keep version in sync with JON

* Mon Mar 12 2012 Weinan Li <weli@redhat.com> - 0:2.0.0-2
- Move mod_rt.conf to git repo
- rename mod_rt.tgz
- remove mod_rt.a and mod_rt.la

* Mon Jan 09 2012 Weinan Li <weli@redhat.com> - 0:2.0.0-1
Initial import
